# KSZK Service Status website

## Model

### Service

| Field  | Type  |
|---|---|
|  id | Integer (auto)  |
|  name | String  |
| description  |  String |
|  isOkay | Boolean  |
|  history | History[]  |

### History

| Field  | Type  |
|---|---|
|  id | Integer (auto)  |
|  date | Date  |
| description | string |

## API

### GET /services

List of All services

Authentication: _None_

Returned data: `200 OK`

```json
{
  "data": [
    {
      "id": 1,
      "name": "VMWare Klaszter",
      "description": "Virtualizációs klaszterünk",
      "isOkay": false
    },
    ...
  ]
}
```

### GET /services/:id

Get One service

Authentication: _None_

Returned data: `200 OK`

```json
{
  "data": {
    "id": 1,
    "name": "VMWare Klaszter",
    "description": "Virtualizációs klaszterünk",
    "isOkay": true,
    "history": [
      {
        "id": 1,
        "date": "2021-04-05T11:57:42Z",
        "description": "Egyik Node-tól elvesztettük a kapcsolatot"
      },
      {
        "id": 2,
        "date": "2021-04-06T11:57:42Z",
        "description": "Megjavítottuk a Node-ot"
      }
    ]
  }
}
```

### PUT /services/:id

Update the Service with Id

Sent data in body:

```json
{
  "data": {
    "name": "VMWare Klaszter",
    "description": "Virtualizációs klaszterünk",
    "isOkay": true
  }
}
```

Response: `200 OK`

### POST /history

Add History to a service

Sent data in body:

```json
{
  "serviceId": 1,
  "date": "2021-04-05T11:57:42Z",
  // If empty, the current date
  "description": "Egyik Node-tól elvesztettük a kapcsolatot"
}
```

Response: `201 CREATED`

```json
{
  "id": 3
}
```

### PUT /history/:id

Update a History by Id

Sent data in body:

```json
{
  "date": "2021-04-05T11:57:42Z",
  "description": "Egyik Node-tól elvesztettük a kapcsolatot"
}
```

Response: `200 OK`

### DELETE /history/:id

Delete a history by Id

Response: `200 OK`

### DELETE /services/:id

Delete service by the given Id

Response: `200 OK`

### POST /services

Create a Service

Sent data in body:

```json
{
  "name": "VMWare Klaszter",
  "description": "Virtualizációs klaszterünk",
  "isOkay": true
}
```

Response: `201 CREATED`

```json
{
  "id": 3
}
```

## Credits

For DB Connection https://github.com/gogjango/gjango used as reference.