package config

import (
	"fmt"
	"github.com/caarlos0/env/v6"
)

type AppConfig struct {
	IsPGDebug bool `env:"POSTGRES_DEBUG" envDefault:"true"`
	Port      int  `env:"PORT" envDefault:"8000"`
}

func GetAppConfig() *AppConfig {
	c := AppConfig{}
	if err := env.Parse(&c); err != nil {
		fmt.Printf("%+v\n", err)
	}
	return &c
}
