package config

import (
	"fmt"
	"github.com/caarlos0/env/v6"
)

type JWTConfig struct {
	AuthRealm           string `env:"AUTH_REALM" envDefault:"Test Zone"`
	AuthKey             string `env:"AUTH_KEY" envDefault:"apple"`
	AuthTimeoutHours    int    `env:"AUTH_TIMEOUT" envDefault:"1"`
	AuthMaxRefreshHours int    `env:"AUTH_TIMEOUT" envDefault:"1"`
}

func GetJWTConfig() *JWTConfig {
	c := JWTConfig{}
	if err := env.Parse(&c); err != nil {
		fmt.Printf("%+v\n", err)
	}
	return &c
}
