package main

import (
	"log"
	"service-status-backend/server"
)

var s server.Server

// @title KSZK Status Backend API
// @version 1.0
// @description This is an app which provides status about our services in KSZK.

// @contact.name KSZK Contact
// @contact.url https://kszk.sch.bme.hu/elerhetosegek/

// @license.name GPL 3.0
// @license.url https://www.gnu.org/licenses/gpl-3.0.en.html

// @host 127.0.0.1:8000
// @BasePath /api/v1
// @query.collection.format multi

// @securityDefinitions.apikey ApiKeyAuth
// @in header
// @name Authorization

// @x-extension-openapi {"example": "value on a json format"}

func main() {
	err := s.Run()

	if err != nil {
		log.Fatal(err)
	}
}
