package model

import (
	"time"
)

func init() {
	Register(&History{})
}

// History represents history model
type History struct {
	tableName   struct{}  `pg:"history"`
	Id          int       `json:"id" pg:"id,pk"`
	CreatedAt   time.Time `json:"createdAt" pg:"created_at, default:now()"`
	Description string    `json:"description" pg:"description"`
	ServiceId   int       `json:"-" pg:"service_id"`
}

type HistoryRepo interface {
	Create(*History) error
	Update(*History) (*History, error)
	Delete(int) error
}
