package model

import (
	"github.com/go-pg/pg/v10"
	"github.com/go-pg/pg/v10/orm"
	"log"
)

// Models hold registered models in-memory
var Models []interface{}

// Register is used for registering models
func Register(m interface{}) {
	Models = append(Models, m)
}

// CreateSchema creates the tables for given models
func CreateSchema(db *pg.DB) {
	for _, model := range Models {
		opt := &orm.CreateTableOptions{
			IfNotExists:   true,
			FKConstraints: true,
		}
		log.Print(model)
		err := db.Model(model).CreateTable(opt)
		if err != nil {
			log.Fatal(err)
		}
	}
}
