package model

func init() {
	Register(&Service{})
}

// Service represents status model
type Service struct {
	tableName   struct{}   `pg:"service"`
	Id          int        `json:"id" pg:"id,pk"`
	Name        string     `json:"name" pg:"name" binding:"required"`
	Description string     `json:"description" pg:"description" binding:"required"`
	IsOkay      bool       `json:"isOkay" pg:"is_okay,use_zero" binding:"required"`
	History     []*History `json:"history" pg:"rel:has-many"`
}

type ServiceRepo interface {
	View(int) (*Service, error)
	List() ([]Service, error)
	Create(*Service) error
	Update(*Service) (*Service, error)
	Delete(int) error
}
