package request

import (
	"github.com/gin-gonic/gin"
	"service-status-backend/apperr"
	"time"
)

type HistoryCreateStruct struct {
	CreatedAt   time.Time `json:"createdAt"`
	Description string    `json:"description" binding:"required"`
	ServiceId   int       `json:"serviceId" binding:"required"`
}

func HistoryCreate(c *gin.Context) (*HistoryCreateStruct, error) {
	var r HistoryCreateStruct
	if err := c.ShouldBindJSON(&r); err != nil {
		apperr.Response(c, err)
		return nil, err
	}
	return &r, nil
}

type HistoryUpdateStruct struct {
	CreatedAt   time.Time `json:"createdAt"`
	Description string    `json:"description"`
	ServiceId   int       `json:"serviceId"`
}

func HistoryUpdate(c *gin.Context) (*HistoryUpdateStruct, error) {
	var r HistoryUpdateStruct
	if err := c.ShouldBindJSON(&r); err != nil {
		apperr.Response(c, err)
		return nil, err
	}
	return &r, nil
}
