package request

import (
	"github.com/gin-gonic/gin"
	"net/http"
	"service-status-backend/apperr"
	"strconv"
)

// ID returns id url parameter.
// In case of conversion error to int, request will be aborted with StatusBadRequest.
func ID(c *gin.Context) (int, error) {
	id, err := strconv.Atoi(c.Param("id"))
	if err != nil {
		c.AbortWithStatus(http.StatusBadRequest)
		return 0, apperr.BadRequest
	}
	return id, nil
}
