package request

import (
	"github.com/gin-gonic/gin"
	"service-status-backend/apperr"
)

type ServiceCreateStruct struct {
	Name        string `json:"name" binding:"required"`
	Description string `json:"description" binding:"required"`
	IsOkay      bool   `json:"isOkay"`
}

func ServiceCreate(c *gin.Context) (*ServiceCreateStruct, error) {
	var r ServiceCreateStruct
	if err := c.ShouldBindJSON(&r); err != nil {
		apperr.Response(c, err)
		return nil, err
	}
	return &r, nil
}

type ServiceUpdateStruct struct {
	Name        string `json:"name"`
	Description string `json:"description"`
	IsOkay      bool   `json:"isOkay"`
}

func ServiceUpdate(c *gin.Context) (*ServiceUpdateStruct, error) {
	var r ServiceUpdateStruct
	if err := c.ShouldBindJSON(&r); err != nil {
		apperr.Response(c, err)
		return nil, err
	}
	return &r, nil
}
