package route

import (
	jwt "github.com/appleboy/gin-jwt/v2"
	"github.com/gin-gonic/gin"
	"service-status-backend/svc"
)

func SetAuthRouter(r *gin.RouterGroup, jwt *jwt.GinJWTMiddleware) {
	ur := r.Group("/auth")

	ur.POST("/login", svc.LoginHandler(jwt))
	ur.GET("/refresh", jwt.MiddlewareFunc(), svc.RefreshHandler(jwt))
}
