package route

import (
	jwt "github.com/appleboy/gin-jwt/v2"
	"github.com/gin-gonic/gin"
	"service-status-backend/svc"
)

func SetHistoryRoutes(svc *svc.HistorySVC, r *gin.RouterGroup, jwt *jwt.GinJWTMiddleware) {
	ur := r.Group("/histories")

	ur.POST("", jwt.MiddlewareFunc(), svc.Create)
	ur.PUT("/:id", jwt.MiddlewareFunc(), svc.Update)
	ur.DELETE("/:id", jwt.MiddlewareFunc(), svc.Delete)
}
