package route

import (
	jwt "github.com/appleboy/gin-jwt/v2"
	"github.com/gin-gonic/gin"
	"service-status-backend/svc"
)

func SetServiceRoutes(svc *svc.ServiceSVC, r *gin.RouterGroup, jwt *jwt.GinJWTMiddleware) {
	ur := r.Group("/services")

	ur.GET("", svc.List)
	ur.GET("/:id", svc.View)
	ur.POST("", jwt.MiddlewareFunc(), svc.Create)
	ur.PUT("/:id", jwt.MiddlewareFunc(), svc.Update)
	ur.DELETE("/:id", jwt.MiddlewareFunc(), svc.Delete)
}
