package route

import (
	jwt "github.com/appleboy/gin-jwt/v2"
	"github.com/gin-gonic/gin"
	"service-status-backend/svc"
)

func SetUserRouter(svc *svc.UserSVC, r *gin.RouterGroup, jwt *jwt.GinJWTMiddleware) {
	ur := r.Group("/users")

	ur.GET("", jwt.MiddlewareFunc(), svc.List)
	ur.POST("", svc.Create)
	ur.GET("/:id", jwt.MiddlewareFunc(), svc.View)

	r.POST("approve_user/:id", jwt.MiddlewareFunc(), svc.Approve)
}
