package svc

import (
	jwt "github.com/appleboy/gin-jwt/v2"
	"github.com/gin-gonic/gin"
)

// For Api docs

// Login
// @Summary Login with the given credentials
// @Description Login with the given credentials. Returns a JWT Token
// @Accept  json
// @Produce  json
// @Tags auth
// @Param login body request.Login true "Login User"
// @Success 200 {object} response.Token
// @Router /auth/login [post]
func LoginHandler(jwt *jwt.GinJWTMiddleware) func(c *gin.Context) {
	return jwt.LoginHandler
}

// Refresh
// @Summary Refresh using your current jwt token
// @Description Refresh using your current jwt token. Returns a new token
// @Security ApiKeyAuth
// @Accept  json
// @Produce  json
// @Tags auth
// @Success 200 {object} response.Token
// @Router /auth/refresh [get]
func RefreshHandler(jwt *jwt.GinJWTMiddleware) func(c *gin.Context) {
	return jwt.RefreshHandler
}
